# sb::Plugin::IgnoreEmptyNameComment
# == written by T.Otani <takuya.otani@gmail.com> ===
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ ==

use 5.006;
use strict;

# ======================================
package sb::Plugin::IgnoreEmptyNameComment;
# --------------------------------------
# // configuration for inheritance / dependancy
use sb::Plugin ();
# --------------------------------------
# // initialization for plugin
sb::Plugin->register_plugin(
	'lang' => {
		'ja' => 'euc',
		'en' => 'ascii',
	},
	'text' => {
		'type'    => 'receipt',
		'name'    => 'Ignore Empty Name Comment',
		'text'    => 'Refusing comments which has no name',
		'author'  => 'takkyun',
		'detail'  => 'http://serenebach.net/',
		'version' => version(),
	},
	'file' => undef,
	'data' => 0,
);
sb::Plugin->register_extra_module(
	'type'     => 'receipt',
	'callback' => \&sb::Plugin::IgnoreEmptyNameComment::_check_comment,
);
sub version
{
	return '0.00';
	# 0.00 [2010/05/18] generated
}
# ======================================
sub _check_comment
{
	my $self  = shift;
	my $entry = shift; # entry object : sb::Data::Entry
	my $type  = shift; # 'tb' or 'com'
	my $obj   = shift; # data hash reference (not sb::Data::Object)
	return 0 if ($type eq 'tb');
	return 1 if ($obj->{'auth'} eq '');
	return 0;
}
